package com.gci.boot.modules.projects.service;

import com.gci.boot.modules.projects.entity.TbContract;
import com.gci.boot.modules.projects.entity.TbVehicleCheck;
import com.gci.boot.modules.projects.entity.TbVehicleCheckDetail;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 车辆验收车辆详情 服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-11
 */
public interface ITbVehicleCheckDetailService extends IService<TbVehicleCheckDetail> {

	void getVehiclesByCheckId(TbVehicleCheck check);

	void saveItem(TbVehicleCheck check);

	void checkVehicle(TbVehicleCheck check);

	List<TbVehicleCheckDetail> getVehiclesByCheckIds(List<String> ids);

	void initVehicleCheckDetail(TbContract contract);

}
